import java.util.Random;

public class PlayGround {
    private int[][] ground;
    int n, m, policeNumbers;

    PlayGround(int n, int m, int policeNumbers) {
        this.n = n;
        this.m = m;
        this.policeNumbers = policeNumbers;
        ground = new int[n][m];
        int i, j;
        for (i = 0; i < n; i++)
            for (j = 0; j < m; j++)
                ground[i][j] = 0;
    }

    public void show() {
        int i, j;
        for (i = 0; i < n; i++) {
            for (j = 0; j < m; j++) {
                if (ground[i][j] == 0)
                    System.out.print("-");
                else if (ground[i][j] == 1) // police
                    System.out.print("X");
                else                        // Dozd
                    System.out.print("*");
            }
            System.out.println("");
        }
    }

    public int[][] putRandom() {
        int[][] positions = new int[policeNumbers + 1][2];
        int i, j, k;
        Random rand = new Random();
        if (n * m < policeNumbers) System.out.println("Error!! NOT ENOUGH SPACE FOR POLICES AND THIEF IN GROUND");
        else {
            for (k = 0; k < policeNumbers; k++) {       // police
                i = rand.nextInt();
                j = rand.nextInt();
                if (ground[i][j] == 0) {
                    ground[i][j] = 1;
                    positions[k][0] = i;   // x
                    positions[k][1] = j;   // y
                } else k--;
            }

            for (k = 0; k < 1; k++) {                   // thief
                i = rand.nextInt();
                j = rand.nextInt();
                if (ground[i][j] == 0) {
                    ground[i][j] = 1;
                    positions[policeNumbers][0] = i;   // x
                    positions[policeNumbers][1] = j;   // y
                }
            }
        }

        return positions;
    }

    public void change(int[][] newPolicesSituation, int xThief, int yThief) {
        int i, j;
        for (i = 0; i < n; i++)
            for (j = 0; j < m; j++)
                ground[i][j] = 0;

        for (i = 0; i < policeNumbers; i++)
            ground[newPolicesSituation[i][0]][newPolicesSituation[i][1]] = 1;

        ground[xThief][yThief] = -1;
    }


}
